(function() {
	tinymce.create('tinymce.plugins.ad_shortcode', {
		init : function(ed, url) {
			ed.addButton('ad_shortcode', {
				title : 'Ad Shortcode',
				image : url + '/ad-shortcode.png',
				onclick : function() {
					open_ad_shortcode_box();
				}
			});			
		},
		createControl : function(n, cm) {
			return null;
		},
		getInfo : function() {
			return {
				longname : "HeatMap Theme Ad Shortcode",
				author : 'Ankur Sharma/Stuart Wider',
				authorurl : 'http://www.heatmaptheme.com/',
				infourl : 'http://heatmaptheme.com/version-5/ad-shortcode/',
				version : "5.0"
			};
		}
	})
	tinymce.PluginManager.add('ad_shortcode', tinymce.plugins.ad_shortcode);
})();

